%global pypi_name pyswagger
%define version 0.8.39

Name:           python-pyswagger
Version:        %{version}
Release:        %mkrel 9
Group:          Development/Python
Summary:        A type-safe, dynamic, spec-compliant swagger client & converter for python

License:        MIT
URL:            https://github.com/mission-liao/pyswagger
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
 
%description
A python client for Swagger enabled REST API. It wouldn't be easier to try
Swagger REST API by Swagger-UI. However, when it's time to unittest your API,
the first option you find would be Swagger-codegen, but the better option is us.

%package -n     python3-%{pypi_name}
Summary:        A type-safe, dynamic, spec-compliant swagger client & converter for python
 
Requires:       python3-six >= 1.7.2
Requires:       python3-pyaml >= 15.03.1

%description -n python3-%{pypi_name}
A python client for Swagger enabled REST API. It wouldn't be easier to try
Swagger REST API by Swagger-UI. However, when it's time to unittest your API,
the first option you find would be Swagger-codegen, but the better option is us.



%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyswagger


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.8.39-9.mga10
+ Revision: 2240373
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.8.39-8.mga10
+ Revision: 2157395
- rebuild for python3.13

* Tue Feb 06 2024 papoteur <papoteur> 0.8.39-7.mga10
+ Revision: 2037426
- rebuild for python 3.12
- use pyproject
- add description

* Wed Mar 23 2022 umeabot <umeabot> 0.8.39-6.mga9
+ Revision: 1822896
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.8.39-5.mga9
+ Revision: 1775722
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.8.39-4.mga9
+ Revision: 1732662
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.8.39-3.mga8
+ Revision: 1535627
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.8.39-2.mga8
+ Revision: 1452593
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 0.8.39-1.mga7
+ Revision: 1354030
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.8.12-6.mga7
+ Revision: 1289812
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.8.12-5.mga7
+ Revision: 1135587
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.8.12-4.mga6
+ Revision: 971183
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 daviddavid <daviddavid> 0.8.12-3.mga6
+ Revision: 889504
- rebuild for python 3.5
- use new python macros

* Sun Jul 19 2015 joequant <joequant> 0.8.12-2.mga6
+ Revision: 855289
- fix python3 build

* Sun Jul 19 2015 joequant <joequant> 0.8.12-1.mga6
+ Revision: 855193
- imported package python-pyswagger

